import { getFormatDate } from "../../utils/utils";
import { checkFullScren } from "../../utils/checkFullScren";
import create from "dd-store";
create.Page({
  data: {
    $data: null,
    iconDay: "",
    isLocation: false,
    isIPX: false,
  },
  onLoad() {
    let iconDay = new Date().getDate();
    this.setData({
      iconDay: iconDay,
      isIPX: checkFullScren()
    });
    dd.setNavigationBar({
      title: "动态"
    });
  },
  onShow() {
    setTimeout(res => {
      this.update();
    }, 100);
  },
  // 修改tabBar
  changeTabBar(e) {
    let nowtabBarIndex = this.$store.data.tabBarIndex;
    this.$store.data.tabBarIndex = e.currentTarget.dataset.tabbar
    this.update()
    let title = "动态";
    switch (e.currentTarget.dataset.tabbar) {
      case '0':
        title = '动态186';
        break;
      case "1":
        title = "日程";
        break;
    }
    dd.setNavigationBar({
      title: title
    });
    if (
      nowtabBarIndex === e.currentTarget.dataset.tabbar &&
      e.currentTarget.dataset.tabbar === "1"
    ) {
      if (!this.$store.data.indexNeedUpdate) {
        this.$store.locationSchedule();
      }
    }
  },
  createMeeting() {
    dd.navigateTo({ url: "./../createMeeting/createMeeting" });
  }
});
